Subject: Re: [PATCH] be2net: Adding support for 802.1ad (q-in-q mode)

From: Patrick McHardy <[email-masked]>
Date: Thu, 23 Jul 2009 11:07:23 +0200

Sarveshwar Bandi wrote:
> On 23/07/09 10:47 +0200, Patrick McHardy wrote:
>> Sarveshwar Bandi wrote:
>>> Please review and apply patch to net-next tree. Patch implements the 
>>> support for q-in-q mode.
>>
>> Please describe your change more precisely. How does this interact with
>> the stack and which VID is propagated to the VLAN code?
>
> Patch has code to check if the controller is in q-in-q mode. When the packet
> has two vids, only the inner vid is passed onto the stack. The stack is never
> made aware of the outer vid.

But you're still using the outer VLAN group when passing the packet to
the VLAN code, so the association to the correct VLAN device can't work.